System.Security 2.0.0.0 4.0.0.0 System.Object System.Collections.IList

The class represents the <ReferenceList> element of an encrypted document XML signature defined by the XML encryption specification.

The class contains references to and elements that were encrypted by a key contained within another element. The class uses elements to reference elements, and elements to reference elements.

You can add only or objects to the collection.

For more information about XML encryption standards, see http://www.w3.org/TR/xmlenc-core.

Represents the <ReferenceList> element used in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Adds a or object to the collection.

  The position at which the new element was inserted.

  A or object to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void To be added.

  Removes all items from the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the collection contains a specific or object.

  true if the or object is found in the collection; otherwise, false.

  The or object to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Copies the elements of the object to an array, starting at a specified array index.

  The one-dimensional object that is the destination of the elements copied from the object. The array must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of elements contained in the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator

  Enumerators allow only reading the data in the collection. Enumerators cannot be used to modify the underlying collection.

  Returns an enumerator that iterates through a collection.

  An object that can be used to iterate through a collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  Determines the index of a specific item in the collection.

  The index of if found in the collection; otherwise, -1.

  The or object to locate in the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Inserts a or object into the collection at the specified position.

  The zero-based index at which should be inserted. A or object to insert into the collection.
- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a value that indicates whether access to the object is synchronized (thread safe).

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptedReference `` To be added.

  Returns the or object at the specified index.

  The or object at the specified index.

  The index of the or object to return.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.EncryptedReference `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the first occurrence of a specific or object from the collection.

  The or object to remove from the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Removes the or object at the specified index.

  The zero-based index of the or object to remove.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  Gets an object that can be used to synchronize access to the object.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  4.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.